Subject: Re: linux-next: build warning after merge of the kbuild tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 2 May 2011 14:44:14 +1000

Hi Dave,

On Mon, 2 May 2011 00:02:16 -0400 Dave Jones <[email-masked]> wrote:
>
> Subtly different from what I wrote.. the version I wrote did this ..
> 
> +KBUILD_EXTRA_WARNINGS += $(call cc-option, -Wunused-but-set-variable)

Due to other changes in the kbuild tree, I suspect.  However, as you say,
this part is not relevant to the warning I am getting.

> I just tested with the gcc 4.4.5 on master.kernel.org, with a tip of Linus'
> tree with my original diff, and it didn't complain at all.

Also see my other email.  For a i386 defconfig build, I get this warning
only twice, for a sparc64 defconfig I get 4 and for a sparc32 defconfig,
none:

At top level:
cc1: warning: unrecognized command line option "-Wno-unused-but-set-variable"

> What does gcc -v say ?
> gcc version 4.4.5 20101112 (Red Hat 4.4.5-2) (GCC)  seems to be fine.

$ /opt/cross/gcc-4.4.5-nolibc/x86_64-linux/bin/x86_64-linux-gcc -v
Using built-in specs.
Target: x86_64-linux
Configured with: /home/tony/buildall/src/gcc/configure --target=x86_64-linux --enable-targets=all --prefix=/home/tony/buildall/cross.x86_64/gcc-4.4.5-nolibc/x86_64-linux/ --enable-languages=c --with-newlib --without-headers --with-system-libunwind --disable-nls --disable-threads --disable-shared --disable-libmudflap --disable-libssp --disable-libgomp --disable-decimal-float --enable-checking=release --with-mpfr=/home/tony/buildall/src/sys-x86_64 --with-gmp=/home/tony/buildall/src/sys-x86_64 --disable-bootstrap
Thread model: single
gcc version 4.4.5 (GCC) 

-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/